var express = require('express');
var app = express();
var path = require('path');

// serving static content
app.use(express.static(path.join(__dirname, 'public')));
app.use(express.static(path.join(__dirname, 'dist')));
app.use(express.static(path.join(__dirname, 'src')));

app.use(require('prerender-node').set('prerenderToken', 'Z7NFuXBbmIgXBKCWEtaT'));

app.get('/*', function(req, res){
    res.sendFile(path.join(__dirname + '/index.html'));
});

app.listen(7979);

module.exports = app;
